Results 1 to 4 of 4

Thread: GUI Desktop failed after update

  1. #1
    Join Date
    Nov 2016
    Location
    Moscow
    Posts
    31

    Default GUI Desktop failed after update

    Today i've done zypper dup and after reboot GUI is not started. I can login through terminal.
    In journalctl i've noticed:
    Code:
    Sep 12 12:32:01 sddm[1406]: Failed to read display number from pipe
    Sep 12 12:32:01 sddm[1406]: Display server failed to start. Exiting
    Sep 12 12:32:01 systemd[1]: Created slice system-systemd\x2dcoredump.slice.
    Sep 12 12:32:01 systemd[1]: Started Process Core Dump (PID 1418/UID 0).
    Sep 12 12:32:02 systemd[1]: display-manager.service: Main process exited, code=dumped, status=6/ABRT
    Sep 12 12:32:02 systemd[1]: display-manager.service: Failed with result 'core-dump'.
    Sep 12 12:32:02 systemd-coredump[1419]: Process 1406 (sddm) of user 0 dumped core.
    Here /var/log/Xorg.0.log:
    Code:
    [    16.199] (--) Log file renamed from "/var/log/Xorg.pid-1408.log" to "/var/log/Xorg.0.log"
    [    16.200] 
    X.Org X Server 1.20.1
    X Protocol Version 11, Revision 0
    [    16.200] Build Operating System: openSUSE SUSE LINUX
    [    16.200] Current Operating System: Linux kulemin 4.18.6-1-default #1 SMP PREEMPT Wed Sep 5 18:38:50 UTC 2018 (70ab8ae) x86_64
    [    16.200] Kernel command line: BOOT_IMAGE=/boot/vmlinuz-4.18.6-1-default root=UUID=6711587e-7a8d-4548-9688-9969119a640e plymouth.enable=0 loglevel=5 resume=/dev/disk/by-id/ata-SSD_Smartbuy_240GB_C276076A10EE03713951-part1 quiet
    [    16.200] Build Date: 07 August 2018  12:00:00PM
    [    16.200]  
    [    16.200] Current version of pixman: 0.34.0
    [    16.200]     Before reporting problems, check http://wiki.x.org
        to make sure that you have the latest version.
    [    16.200] Markers: (--) probed, (**) from config file, (==) default setting,
        (++) from command line, (!!) notice, (II) informational,
        (WW) warning, (EE) error, (NI) not implemented, (??) unknown.
    [    16.200] (==) Log file: "/var/log/Xorg.0.log", Time: Wed Sep 12 12:32:01 2018
    [    16.203] (==) Using config directory: "/etc/X11/xorg.conf.d"
    [    16.203] (==) Using system config directory "/usr/share/X11/xorg.conf.d"
    [    16.205] (==) No Layout section.  Using the first Screen section.
    [    16.205] (==) No screen section available. Using defaults.
    [    16.205] (**) |-->Screen "Default Screen Section" (0)
    [    16.205] (**) |   |-->Monitor "<default monitor>"
    [    16.205] (==) No monitor specified for screen "Default Screen Section".
        Using a default monitor configuration.
    [    16.205] (==) Automatically adding devices
    [    16.205] (==) Automatically enabling devices
    [    16.206] (==) Automatically adding GPU devices
    [    16.206] (==) Max clients allowed: 256, resource mask: 0x1fffff
    [    16.212] (WW) The directory "/usr/share/fonts/misc/sgi" does not exist.
    [    16.212]     Entry deleted from font path.
    [    16.212] (==) FontPath set to:
        /usr/share/fonts/misc:unscaled,
        /usr/share/fonts/Type1/,
        /usr/share/fonts/100dpi:unscaled,
        /usr/share/fonts/75dpi:unscaled,
        /usr/share/fonts/ghostscript/,
        /usr/share/fonts/cyrillic:unscaled,
        /usr/share/fonts/truetype/,
        built-ins
    [    16.212] (==) ModulePath set to "/usr/lib64/xorg/modules"
    [    16.212] (WW) Ignoring unrecognized extension "XFree86-DGA"
    [    16.212] (II) The server relies on udev to provide the list of input devices.
        If no devices become available, reconfigure udev or disable AutoAddDevices.
    [    16.212] (II) Loader magic: 0x55c0af150d00
    [    16.212] (II) Module ABI versions:
    [    16.212]     X.Org ANSI C Emulation: 0.4
    [    16.212]     X.Org Video Driver: 24.0
    [    16.212]     X.Org XInput driver : 24.1
    [    16.212]     X.Org Server Extension : 10.0
    [    16.213] (++) using VT number 7
    
    
    [    16.213] (II) systemd-logind: logind integration requires -keeptty and -keeptty was not provided, disabling logind integration
    [    16.215] (--) PCI:*(1@0:0:0) 10de:0a65:1462:8094 rev 162, Mem @ 0xde000000/16777216, 0xc0000000/268435456, 0xd0000000/33554432, I/O @ 0x0000e000/128, BIOS @ 0x????????/131072
    [    16.215] (II) LoadModule: "glx"
    [    16.217] (II) Loading /usr/lib64/xorg/modules/extensions/libglx.so
    [    16.303] (II) Module glx: vendor="NVIDIA Corporation"
    [    16.303]     compiled for 4.0.2, module version = 1.0.0
    [    16.303]     Module class: X.Org Server Extension
    [    16.303] (II) NVIDIA GLX Module  340.107  Thu May 24 21:40:32 PDT 2018
    [    16.305] (II) Scanning /etc/X11/xorg_pci_ids directory for additional PCI ID's supported by the drivers
    [    16.305] (==) Matched nvidia as autoconfigured driver 0
    [    16.305] (==) Matched nouveau as autoconfigured driver 1
    [    16.305] (==) Matched nv as autoconfigured driver 2
    [    16.305] (==) Matched modesetting as autoconfigured driver 3
    [    16.305] (==) Matched fbdev as autoconfigured driver 4
    [    16.305] (==) Matched vesa as autoconfigured driver 5
    [    16.305] (==) Assigned the driver to the xf86ConfigLayout
    [    16.305] (II) LoadModule: "nvidia"
    [    16.305] (II) Loading /usr/lib64/xorg/modules/drivers/nvidia_drv.so
    [    16.314] (II) Module nvidia: vendor="NVIDIA Corporation"
    [    16.314]     compiled for 4.0.2, module version = 1.0.0
    [    16.314]     Module class: X.Org Video Driver
    [    16.314] (II) LoadModule: "nouveau"
    [    16.314] (II) Loading /usr/lib64/xorg/modules/drivers/nouveau_drv.so
    [    16.316] (II) Module nouveau: vendor="X.Org Foundation"
    [    16.316]     compiled for 1.20.0, module version = 1.0.15
    [    16.316]     Module class: X.Org Video Driver
    [    16.316]     ABI class: X.Org Video Driver, version 24.0
    [    16.316] (II) LoadModule: "nv"
    [    16.319] (WW) Warning, couldn't open module nv
    [    16.319] (EE) Failed to load module "nv" (module does not exist, 0)
    [    16.319] (II) LoadModule: "modesetting"
    [    16.319] (II) Loading /usr/lib64/xorg/modules/drivers/modesetting_drv.so
    [    16.320] (II) Module modesetting: vendor="X.Org Foundation"
    [    16.320]     compiled for 1.20.1, module version = 1.20.1
    [    16.320]     Module class: X.Org Video Driver
    [    16.320]     ABI class: X.Org Video Driver, version 24.0
    [    16.320] (II) LoadModule: "fbdev"
    [    16.320] (II) Loading /usr/lib64/xorg/modules/drivers/fbdev_drv.so
    [    16.320] (II) Module fbdev: vendor="X.Org Foundation"
    [    16.320]     compiled for 1.20.0, module version = 0.5.0
    [    16.320]     Module class: X.Org Video Driver
    [    16.320]     ABI class: X.Org Video Driver, version 24.0
    [    16.320] (II) LoadModule: "vesa"
    [    16.321] (II) Loading /usr/lib64/xorg/modules/drivers/vesa_drv.so
    [    16.321] (II) Module vesa: vendor="X.Org Foundation"
    [    16.321]     compiled for 1.20.0, module version = 2.4.0
    [    16.321]     Module class: X.Org Video Driver
    [    16.321]     ABI class: X.Org Video Driver, version 24.0
    [    16.321] (II) NVIDIA dlloader X Driver  340.107  Thu May 24 21:18:05 PDT 2018
    [    16.321] (II) NVIDIA Unified Driver for all Supported NVIDIA GPUs
    [    16.321] (II) NOUVEAU driver 
    [    16.321] (II) NOUVEAU driver for NVIDIA chipset families :
    [    16.321]     RIVA TNT        (NV04)
    [    16.321]     RIVA TNT2       (NV05)
    [    16.321]     GeForce 256     (NV10)
    [    16.321]     GeForce 2       (NV11, NV15)
    [    16.322]     GeForce 4MX     (NV17, NV18)
    [    16.322]     GeForce 3       (NV20)
    [    16.322]     GeForce 4Ti     (NV25, NV28)
    [    16.322]     GeForce FX      (NV3x)
    [    16.322]     GeForce 6       (NV4x)
    [    16.322]     GeForce 7       (G7x)
    [    16.322]     GeForce 8       (G8x)
    [    16.322]     GeForce GTX 200 (NVA0)
    [    16.322]     GeForce GTX 400 (NVC0)
    [    16.322] (II) modesetting: Driver for Modesetting Kernel Drivers: kms
    [    16.322] (II) FBDEV: driver for framebuffer: fbdev
    [    16.322] (II) VESA: driver for VESA chipsets: vesa
    [    16.446] (II) Loading sub module "fb"
    [    16.446] (II) LoadModule: "fb"
    [    16.446] (II) Loading /usr/lib64/xorg/modules/libfb.so
    [    16.447] (II) Module fb: vendor="X.Org Foundation"
    [    16.447]     compiled for 1.20.1, module version = 1.0.0
    [    16.447]     ABI class: X.Org ANSI C Emulation, version 0.4
    [    16.447] (WW) Unresolved symbol: fbGetGCPrivateKey
    [    16.447] (II) Loading sub module "wfb"
    [    16.447] (II) LoadModule: "wfb"
    [    16.447] (II) Loading /usr/lib64/xorg/modules/libwfb.so
    [    16.448] (II) Module wfb: vendor="X.Org Foundation"
    [    16.448]     compiled for 1.20.1, module version = 1.0.0
    [    16.448]     ABI class: X.Org ANSI C Emulation, version 0.4
    [    16.448] (II) Loading sub module "ramdac"
    [    16.448] (II) LoadModule: "ramdac"
    [    16.448] (II) Module "ramdac" already built-in
    [    16.454] (EE) NVIDIA: Failed to initialize the NVIDIA kernel module. Please see the
    [    16.454] (EE) NVIDIA:     system's kernel log for additional error messages and
    [    16.454] (EE) NVIDIA:     consult the NVIDIA README for details.
    [    16.590] (EE) [drm] Failed to open DRM device for pci:0000:01:00.0: -19
    [    16.590] (EE) open /dev/dri/card0: No such file or directory
    [    16.590] (WW) Falling back to old probe method for modesetting
    [    16.590] (EE) open /dev/dri/card0: No such file or directory
    [    16.591] (II) Loading sub module "fbdevhw"
    [    16.591] (II) LoadModule: "fbdevhw"
    [    16.591] (II) Loading /usr/lib64/xorg/modules/libfbdevhw.so
    [    16.591] (II) Module fbdevhw: vendor="X.Org Foundation"
    [    16.591]     compiled for 1.20.1, module version = 0.0.2
    [    16.591]     ABI class: X.Org Video Driver, version 24.0
    [    16.591] (EE) Unable to find a valid framebuffer device
    [    16.591] (WW) Falling back to old probe method for fbdev
    [    16.591] (II) Loading sub module "fbdevhw"
    [    16.591] (II) LoadModule: "fbdevhw"
    [    16.592] (II) Loading /usr/lib64/xorg/modules/libfbdevhw.so
    [    16.592] (II) Module fbdevhw: vendor="X.Org Foundation"
    [    16.592]     compiled for 1.20.1, module version = 0.0.2
    [    16.592]     ABI class: X.Org Video Driver, version 24.0
    [    16.592] (II) FBDEV(2): using default device
    [    16.592] (EE) Screen 0 deleted because of no matching config section.
    [    16.592] (II) UnloadModule: "modesetting"
    [    16.592] (EE) Screen 0 deleted because of no matching config section.
    [    16.592] (II) UnloadModule: "fbdev"
    [    16.592] (II) UnloadSubModule: "fbdevhw"
    [    16.592] (EE) 
    Fatal server error:
    [    16.592] (EE) Cannot run in framebuffer mode. Please specify busIDs        for all framebuffer devices
    [    16.592] (EE) 
    [    16.592] (EE) 
    Please consult the The X.Org Foundation support 
         at http://wiki.x.org
     for help. 
    [    16.592] (EE) Please also check the log file at "/var/log/Xorg.0.log" for additional information.
    [    16.592] (EE) 
    [    16.817] (EE) Server terminated with error (1). Closing log file.
    Here: sudo hwinfo --gfxcard | grep Model
    Code:
    "Micro-Star International Co., Ltd. [MSI] N210 [Geforce 210] PCIe graphics adapter"
    zypper lr -d
    Code:
    Repository priorities are without effect. All enabled repositories share the same priority.
    
    
    #  | Alias                               | Name                           | Enabled | GPG Check | Refresh | Priority | Type   | URI                                                                             | Service
    ---+-------------------------------------+--------------------------------+---------+-----------+---------+----------+--------+---------------------------------------------------------------------------------+--------
     1 | NVIDIA                              | NVIDIA                         | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | https://download.nvidia.com/opensuse/tumbleweed                                 |        
     2 | google-chrome                       | google-chrome                  | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://dl.google.com/linux/chrome/rpm/stable/x86_64                             |        
     3 | http-download.opensuse.org-80e08650 | home:Fisiu:lcd                 | No      | ----      | ----    |   99     | rpm-md | http://download.opensuse.org/repositories/home:/Fisiu:/lcd/openSUSE_Tumbleweed/ |        
     4 | http-download.opensuse.org-86c98b93 | home:Fisiu:lcd                 | No      | ----      | ----    |   99     | rpm-md | http://download.opensuse.org/repositories/home:/Fisiu:/lcd/openSUSE_Tumbleweed/ |        
     5 | repo-debug                          | openSUSE-Tumbleweed-Debug      | No      | ----      | ----    |   99     | NONE   | http://download.opensuse.org/debug/tumbleweed/repo/oss/                         |        
     6 | repo-non-oss                        | openSUSE-Tumbleweed-Non-Oss    | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/tumbleweed/repo/non-oss/                           |        
     7 | repo-oss                            | openSUSE-Tumbleweed-Oss        | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/tumbleweed/repo/oss/                               |        
     8 | repo-source                         | openSUSE-Tumbleweed-Source     | No      | ----      | ----    |   99     | NONE   | http://download.opensuse.org/source/tumbleweed/repo/oss/                        |        
     9 | repo-update                         | openSUSE-Tumbleweed-Update     | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/update/tumbleweed/                                 |        
    10 | sublime-text                        | Sublime Text - x86_64 - Stable | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | https://download.sublimetext.com/rpm/stable/x86_64
    I've tried reinstall nvidia driver (x11-video-nvidiaG03) - it's not helped. How can i recover GUI desktop?

  2. #2
    Join Date
    Jun 2008
    Location
    Podunk
    Posts
    26,864
    Blog Entries
    15

    Default Re: GUI Desktop failed after update

    Hi
    You need to wait for the proprietary nvidia driver to be updated for the kernel (4.18.6.1), you should be able to select the last kernel via grub.

    Keep an eye on the repo at https://download.nvidia.com/opensuse/tumbleweed/x86_64/ to match the new kernel.
    Cheers Malcolm °¿° SUSE Knowledge Partner (Linux Counter #276890)
    SUSE SLE, openSUSE Leap/Tumbleweed (x86_64) | GNOME DE
    If you find this post helpful and are logged into the web interface,
    please show your appreciation and click on the star below... Thanks!

  3. #3
    Join Date
    Jun 2008
    Location
    Groningen, Netherlands
    Posts
    19,855
    Blog Entries
    14

    Default Re: GUI Desktop failed after update

    Plus, you should be able to boot the previous kernel for now.
    ° Appreciate my reply? Click the star and let me know why.

    ° Perfection is not gonna happen. No way.

    https://en.opensuse.org/openSUSE:Board#Members
    http://en.opensuse.org/User:Knurpht
    http://nl.opensuse.org/Gebruiker:Knurpht

  4. #4
    Join Date
    Nov 2016
    Location
    Moscow
    Posts
    31

    Default Re: GUI Desktop failed after update

    Thank you, guys! I've boot previous kernel version. GUI desktop works!

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •